Skip to main content
`Ctrl`+`K`

# KSPLSQRMonitorResidualDrawLGCreate

Creates the line graph object for the `KSPLSQR` residual and normal equation residual norm

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPLSQRMonitorResidualDrawLGCreate(PetscViewer viewer, PetscViewerFormat format, void *ctx, PetscViewerAndFormat **vf)

Collective

## Input Parameters

- viewer - The `PetscViewer`

- format - The viewer format

- ctx - An optional user context

## Output Parameter

- vf - The `PetscViewerAndFormat`

## See Also

KSP: Linear System Solvers, `KSPLSQR`, `KSPMonitorSet()`, `KSPLSQRMonitorResidual()`, `KSPLSQRMonitorResidualDrawLG()`

## Level

intermediate

## Location

src/ksp/ksp/impls/lsqr/lsqr.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages